/**
 *
 * ShortcutItem.h V[gJbǵiہjNX
 *
 */

#include <string>

using namespace std;

/**
 * eNX ShortcutItem
 */
class ShortcutItem
{
protected:
	// o /////////////////////////

	string m_caption;		// LvV
	string m_path;			// pX
	string m_dirPath;		// ƃtH_̃pX
	string m_comment;		// Rg
	string m_parameter;		// R}hC

public:
	// Getter /////////////////////////

	const string getCaption() const;	// LvV
	const string getPath() const;		// pX
	const string getDirPath() const;	// ƃtH_̃pX
	const string getComment() const;	// Rg
	const string getParameter() const;	// R}hC

	// Setter /////////////////////////

	void setCaption(const string& arg);		// LvV
	void setPath(const string& arg);		// pX
	void setDirPath(const string& arg);		// ƃtH_̃pX
	void setComment(const string& arg);		// Rg
	void setParameter(const string& arg);	// R}hC
	
	// J\bh /////////////////////////
	
	// RXgN^
	ShortcutItem(){}
	ShortcutItem::ShortcutItem
		(const string& caption, 
		 const string& path,
		 const string& dirPath,
		 const string& comment,
		 const string& parameter);
	// fXgN^
	virtual ~ShortcutItem(){}
};


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// RXgN^(w)
//
inline ShortcutItem::ShortcutItem
	(const string& caption, 
	 const string& path,
	 const string& dirPath,
	 const string& comment,
	 const string& parameter)
{
	setCaption(caption);
	setPath(path);
	setDirPath(dirPath);
	setComment(comment);
	setParameter(parameter);
}


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Getter
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// LvV
inline const string ShortcutItem::getCaption() const
{
	return m_caption;
}

// pX
inline const string ShortcutItem::getPath() const
{
	return m_path;
}

// ƃtH_̃pX
inline const string ShortcutItem::getDirPath() const
{
	return m_dirPath;
}

// Rg
inline const string ShortcutItem::getComment() const
{
	return m_comment;
}

// R}hC
inline const string ShortcutItem::getParameter() const
{
	return m_parameter;
}


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Setter
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// LvV
inline void ShortcutItem::setCaption(const string& arg)
{
	string s(arg);
	m_caption.assign(s);
}

// pX
inline void ShortcutItem::setPath(const string& arg)
{
	string s(arg);
	m_path.assign(s);
}

// ƃtH_̃pX
inline void ShortcutItem::setDirPath(const string& arg)
{
	string s(arg);
	m_dirPath.assign(s);
}

// Rg
inline void ShortcutItem::setComment(const string& arg)
{
	string s(arg);
	m_comment.assign(s);
}

// R}hC
inline void ShortcutItem::setParameter(const string& arg)
{
	string s(arg);
	m_parameter.assign(s);
}
